Bug 920848 - (CVE-2013-1853) CVE-2013-1853 almanah: does not encrypt the database when the application closes
CVE-2013-1853 almanah: does not encrypt the database when the application closes
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130304,reported=2...
: Security
Depends On: 920852
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-12 17:46 EDT by Vincent Danen
Modified: 2014-01-11 15:18 EST (History)
2 users (show)

See Also:
Fixed In Version: almanah 0.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 15:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-03-12 17:46:40 EDT
It was reported [1] that Almanah does not encrypt its database when it closes, due to GApplication no longer using the quit_main_loop() event since GIO 2.32.  This will keep the database unencrypted when it should be encrypted.  The upstream bug report has a patch attached which corrects the issue.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=695117
Comment 1 Vincent Danen 2013-03-12 17:52:04 EDT
Created almanah tracking bugs for this issue

Affects: fedora-all [bug 920852]
Comment 2 Jan Lieskovsky 2013-03-13 07:29:01 EDT
The CVE identifier of CVE-2013-1853 has been assigned to this issue:
[2] http://www.openwall.com/lists/oss-security/2013/03/13/1
Comment 3 Vincent Danen 2014-01-11 15:18:40 EST
This is fixed in upstream 0.10.1 version, as per the NEWS file: 

https://git.gnome.org/browse/almanah/tree/NEWS

Current Fedora 18+ are using this version.

Note You need to log in before you can comment on or make changes to this bug.